## PothosComms-0.3.2.tar.gz

=== digital/CMakeLists.txt ===
########################################################################
## Feature registration
########################################################################
cmake_dependent_option(ENABLE_COMMS_DIGITAL "Enable Pothos Comms.Digital component" ON "ENABLE_COMMS;JSON_HPP_INCLUDE_DIR" OFF)
add_feature_info("  Digital" ENABLE_COMMS_DIGITAL "Digital byte, bit, and symbol operators")
if (NOT ENABLE_COMMS_DIGITAL)
    return()
endif()

########################################################################
# Digital blocks module
########################################################################
if(MSVC)
    add_definitions(/bigobj) #may be helpful for templated factories
endif(MSVC)

include_directories(${JSON_HPP_INCLUDE_DIR})

POTHOS_MODULE_UTIL(
    TARGET DigitalBlocks
    SOURCES
        SymbolMapper.cpp
        SymbolSlicer.cpp
        TestSymbolMapperSlicer.cpp
        BytesToSymbols.cpp
        SymbolsToBytes.cpp
        TestDifferentialCoding.cpp
        DifferentialEncoder.cpp
        DifferentialDecoder.cpp
        SymbolsToBits.cpp
        BitsToSymbols.cpp
        TestSymbolBitConversions.cpp
        TestSymbolByteConversions.cpp
        PreambleCorrelator.cpp
        PreambleFramer.cpp
        TestFramerToCorrelator.cpp
        TestPreambleFramer.cpp
        TestPreambleCorrelator.cpp
        Scrambler.cpp
        Descrambler.cpp
        FrameInsert.cpp
        FrameSync.cpp
    DESTINATION comms
    ENABLE_DOCS
)

=== math/CMakeLists.txt ===
########################################################################
## Feature registration
########################################################################
cmake_dependent_option(ENABLE_COMMS_MATH "Enable Pothos Comms.Math component" ON "ENABLE_COMMS" OFF)
add_feature_info("  Math" ENABLE_COMMS_MATH "Mathematical operators for sample streams")
if (NOT ENABLE_COMMS_MATH)
    return()
endif()

########################################################################
# Math blocks module
########################################################################
if(MSVC)
    add_definitions(/bigobj) #arithmetic too large in debug mode
endif(MSVC)

POTHOS_MODULE_UTIL(
    TARGET MathBlocks
    SOURCES
        Abs.cpp
        Angle.cpp
        TestAngle.cpp
        Arithmetic.cpp
        TestComparatorBlocks.cpp
        Comparator.cpp
        Conjugate.cpp
        TestArithmeticBlocks.cpp
        Scale.cpp
        TestScale.cpp
        Rotate.cpp
        TestRotate.cpp
    LIBRARIES CommsFunctions
    DESTINATION comms
    ENABLE_DOCS
)

=== debian/changelog ===
pothos-comms (0.3.2-1) unstable; urgency=low

  * Release 0.3.2 (2018-12-29)

 -- Josh Blum <josh@pothosware.com>  Sat, 29 Dec 2018 19:01:19 -0000

pothos-comms (0.3.1-1) unstable; urgency=low

  * Release 0.3.1 (2018-04-18)

 -- Josh Blum <josh@pothosware.com>  Wed, 18 Apr 2018 18:44:51 -0000

pothos-comms (0.3.0-1) unstable; urgency=low

  * Release 0.3.0 (2017-12-25)

 -- Josh Blum <josh@pothosware.com>  Mon, 25 Dec 2017 11:29:04 -0000

pothos-comms (0.2.2-1) unstable; urgency=low

  * Release 0.2.2 (2017-01-26)

 -- Josh Blum <josh@pothosware.com>  Thu, 26 Jan 2017 21:24:57 -0800

pothos-comms (0.2.1-ppa1) unstable; urgency=low

  * Release 0.2.1 (2016-09-24)

 -- Josh Blum <josh@pothosware.com>  Sat, 24 Sep 2016 19:52:08 -0700

pothos-comms (0.2.0) unstable; urgency=low

  * Release 0.2.0 (2016-08-02)

 -- Josh Blum <josh@pothosware.com>  Tue, 02 Aug 2016 14:18:48 -0700

pothos-comms (0.1.3) unstable; urgency=low

  * Release 0.1.3 (2016-03-06)

 -- Josh Blum <josh@pothosware.com>  Sun, 06 Mar 2016 11:54:42 -0800

pothos-comms (0.1.2) unstable; urgency=low

  * Release 0.1.2 (2016-01-29)

 -- Josh Blum <josh@pothosware.com>  Fri, 29 Jan 2016 11:49:46 -0800

pothos-comms (0.1.1) unstable; urgency=low

  * Release 0.1.1 (2015-12-29)

 -- Josh Blum <josh@pothosware.com>  Tue, 29 Dec 2015 20:46:36 -0800

pothos-comms (0.1.0) unstable; urgency=low

  * Release 0.1.0 (2015-12-16)

 -- Josh Blum <josh@pothosware.com>  Wed, 16 Dec 2015 16:30:45 -0800

=== debian/control ===
Source: pothos-comms
Section: science
Priority: optional
Maintainer: Josh Blum <josh@pothosware.com>
Build-Depends:
    debhelper (>= 9.0.0),
    cmake (>= 2.8.9),
    libpoco-dev (>= 1.6),
    nlohmann-json-dev,
    libpothos-dev,
    libspuce-dev
Standards-Version: 4.1.4
Homepage: https://github.com/pothosware/PothosComms/wiki
Vcs-Git: https://github.com/pothosware/PothosComms.git
Vcs-Browser: https://github.com/pothosware/PothosComms

Package: pothos-modules-comms
Section: libs
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: pothos0.6-modules-comms, ${misc:Depends}
Description: communications blocks - metapackage
 The Pothos data-flow software suite.

Package: pothos0.6-modules-comms
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: communications blocks
 The Pothos data-flow software suite.
